Subject: Re: bug#44592: In sh-script-mode, should the syntax of . and / be made symbol?

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 23 Dec 2020 23:24:40 +0100

Dario Gjorgjevski <[email-masked]> writes:

>>> What do you think?  Alternatively, we could work on fixing only the
>>> SMIE-provided indentation and leave the syntax as it is.
>>
>> I think that sounds like a better solution.
>
> The simplest solution I can think of is to change the
>
>     (skip-syntax-backward "w_'")
>
> in ‘sh-smie--default-backward-token’ to
>
>     (skip-syntax-backward ".w_'").
>
> This fixes the issue, but I’m not sure about unwanted effects.
> Any ideas if it could cause something to misbehave?

Perhaps Stefan has some comments here; added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no